---
replicaCount: {{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['replicaCount']|default(1) }}

image:
  repository: "{{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['image']['repository']|default(helm_service_name) }}"
  pullPolicy: "{{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['image']['pullPolicy']|default('IfNotPresent') }}"
  tag: "{{ helm_image_tag[secrets_book_frontend_env] }}"

ports:
  - name: http
    containerPort: 80
    protocol: TCP

livenessProbe:
  httpGet:
    path: /
    port: 80
  initialDelaySeconds: 60
  periodSeconds: 30

readinessProbe:
  httpGet:
    path: /
    port: 80
  periodSeconds: 10


{% if 'service' in secrets.book_frontend.env[secrets_book_frontend_env]['helm'] %}
service:
  type: {{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['service']['type']|default('ClusterIP') }}
  {% if 'ports' in secrets.book_frontend.env[secrets_book_frontend_env]['helm']['service'] -%}
  ports:
{% filter indent(width=4) %}
    {{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['service']['ports'] | to_nice_yaml  }}
{% endfilter %}
  {%- endif %}
{% endif %}

nameOverride: "{{ helm_service_name }}"
fullnameOverride: "{{ helm_service_name }}"

volumeMounts:
  - name: "services-{{ helm_service_name }}-secrets"
    mountPath: /app/config
    readOnly: true

volumes:
  - name: "services-{{ helm_service_name }}-secrets"
    secret:
      secretName: "services-{{ helm_service_name }}-secrets"

podRecreate: {{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['podRecreate'] }}

secret:
  enabled: true
  data:
    local.env.json: |
      {{ helm_secret_data | string | indent(width=6) }}

{% if 'ingress' in secrets.book_frontend.env[secrets_book_frontend_env]['helm'] %}
ingress:
  enabled: true
  className: ""
  annotations:
    kubernetes.io/ingress.class: gce
    kubernetes.io/ingress.allow-http: "true"
    kubernetes.io/ingress.global-static-ip-name: {{ secrets.book_frontend.env[secrets_book_frontend_env]['helm']['ingress']['global-static-ip-name'] }}
    cert-manager.io/issuer: "letsencrypt-production"
  hosts:
{% for host in secrets.book_frontend.env[secrets_book_frontend_env]['helm']['ingress']['hosts'] %}
    - host: {{ host.host }}
      paths:
        - path: /*
          pathType: ImplementationSpecific
          {% if 'svcName' in host -%}
          svcName: {{ host.svcName }}
          {%- endif %}

          {% if 'svcPort' in host -%}
          svcPort: {{ host.svcPort }}
          {%- endif %}

{% endfor %}
  tls:
    - secretName: books-frontend-staging-ssl
      hosts:
{% for host in secrets.book_frontend.env[secrets_book_frontend_env]['helm']['ingress']['hosts'] %}
        - {{ host.host }}
{% endfor %}
{% endif %}
